Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Class MethodNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.MethodNotSupportedException

All Implemented Interfaces:
  Serializable

    public class MethodNotSupportedException

extends HttpException

Signals that an HTTP method is not supported.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`MethodNotSupportedException(String message)` Creates a new MethodNotSupportedException with the specified detail message.
`MethodNotSupportedException(String message, Throwable cause)` Creates a new MethodNotSupportedException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodNotSupportedException

    public MethodNotSupportedException(String message)

  Creates a new MethodNotSupportedException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### MethodNotSupportedException

    public MethodNotSupportedException(String message,
                                       Throwable cause)

  Creates a new MethodNotSupportedException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.